Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### green()

Examples

    noStroke();
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = green(c);  // Sets "value" to "126"
    fill(value);
    rect(50, 20, 35, 60);

Description

Extracts the green value from a color, scaled to match current colorMode(). This value is always returned as a float so be careful not to assign it to an int value.
The green() function is easy to use and undestand, but is slower than another technique. To achieve the same results when working in colorMode(RGB, 255), but with greater speed, use the >> (right shift) operator with a bit mask. For example, the following two lines of code are equivalent:

    float r1 = green(myColor);
    float r2 = myColor >> 8 & 0xFF;

Syntax

    green(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | red() blue() hue() saturation() brightness() >> (right shift)

Updated on November 22, 2008 08:39:25pm PST